Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 571548

Summary: sys-libs/efivar-0.21 with linux-headers-4.4: linux.c:25:24: fatal error: linux/nvme.h: No such file or directory
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Mike Gilbert <floppym>
Status: RESOLVED FIXED    
Severity: normal CC: cfrye, leonchik1976
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/rhinstaller/efivar/issues/37
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge-history.txt
environment
sys-libs:efivar-0.21:20160111-144515.log

Description Toralf Förster gentoo-dev 2016-01-11 14:53:35 UTC
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -Werror -Wall -Wsign-compare -Wstrict-aliasing -std=gnu11 -fshort-wchar -fPIC -fvisibility=hidden -D_GNU_SOURCE -I/var/tmp/portage/sys-libs/efivar-0.21/work/efivar-0.21/src/include/efivar/    -c -o linux.o linux.c
linux.c:25:24: fatal error: linux/nvme.h: No such file or directory
compilation terminated.
/var/tmp/portage/sys-libs/efivar-0.21/work/efivar-0.21/Make.rules:17: recipe for target 'linux.o' failed
make[1]: *** [linux.o] Error 1
make[1]: Leaving directory '/var/tmp/portage/sys-libs/efivar-0.21/work/efivar-0.21/src'


$ cat ./info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-unstable_20160110-214700) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

  Portage 2.2.26 (python 3.4.3-final-0, default/linux/amd64/13.0, gcc-5.3.0, glibc-2.22-r1, 4.3.3-hardened-r4 x86_64)
=================================================================
System uname: Linux-4.3.3-hardened-r4-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16164680 total,   2324772 free
KiB Swap:   16777212 total,  16741212 free
Timestamp of repository gentoo: Mon, 11 Jan 2016 11:22:21 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r1::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.22.1::gentoo
dev-lang/python:          2.7.11-r2::gentoo, 3.4.3-r7::gentoo, 3.5.1-r2::gentoo
dev-util/cmake:           3.4.1::gentoo
dev-util/pkgconfig:       0.29::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r1::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r1::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose-conflicts --deep --color=n --nospinner --tree --quiet-build --accept-properties=-interactive --accept-restrict=-fetch"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl amd64 apache2 avx2 berkdb bindist bzip2 cairo cgoups cli compat consolekit cracklib crypt cxx dri dvd fortran fpm freetds gdbm gtk gtkstyle iconv icu imap ipv6 javascript mmx mmxext mod modules multilib ncurses nls nptl nscd openmp pam pax_kernel pcre policykit readline seccomp server session sse sse2 sse4 sse4_2 ssl svg tcpd tls unicode v4l vorbis xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-01-11 14:53:37 UTC
Created attachment 422568 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-01-11 14:53:40 UTC
Created attachment 422570 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-01-11 14:53:42 UTC
Created attachment 422572 [details]
sys-libs:efivar-0.21:20160111-144515.log
Comment 4 Mike Gilbert gentoo-dev 2016-01-14 22:14:53 UTC
commit aaf891d2b0f19dd6b9ed6d33720ad0ae477195b3
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: Thu Jan 14 17:13:20 2016 -0500

    sys-libs/efivar: Workaround rename of linux/nvme.h

    Bug: https://bugs.gentoo.org/571548

    Package-Manager: portage-2.2.26_p103

 sys-libs/efivar/efivar-0.21.ebuild            |  4 +++-
 sys-libs/efivar/files/0.21-nvme_ioctl.h.patch | 30 +++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)
Comment 5 Sergey 'L29Ah' Alirzaev 2016-04-23 21:50:22 UTC
It's strange as linux kernel version 4.4 when hit by `make headers_install` will indeed install it as nvme.h.
Comment 6 Toralf Förster gentoo-dev 2016-04-23 22:00:13 UTC
(In reply to Sergey 'L29Ah' Alirzaev from comment #5)
Erm, so "make headers_install" is required ? B/c I do not do this in the tinderbox - and even at all of my systems I currently just do :
something like :

$> make -j3 && make modules_install && make install && rm -f /boot/*.old && grub2-mkconfig -o /boot/grub/grub.cfg
Comment 7 SpanKY gentoo-dev 2016-11-11 19:07:31 UTC
Mike fixed this a while ago, and all newer versions work too